curl --request POST \
--url https://api.hubapi.com/communication-preferences/2026-03/statuses/batch/unsubscribe-all \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
"<string>"
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"subscriberIdString": "<string>",
"statuses": [
{
"source": "<string>",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasisExplanation": "<string>",
"subscriptionName": "<string>"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}一連のコンタクトの全てのEメールの配信を停止します。
curl --request POST \
--url https://api.hubapi.com/communication-preferences/2026-03/statuses/batch/unsubscribe-all \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
"<string>"
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"subscriberIdString": "<string>",
"statuses": [
{
"source": "<string>",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasisExplanation": "<string>",
"subscriptionName": "<string>"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
登録読者が配信停止されるコミュニケーションチャネル。このパラメーターは必須であり、現在「EMAIL」のみをサポートしています。
EMAIL 処理が実行されているビジネスユニットIDを表す任意の整数。
レスポンスに詳細情報を含めるかどうかを示すブール値。デフォルトはfalseです。
バッチ処理の入力を表す文字列のリスト。
successful operation
一括オプトアウト処理が完了した日時。
全てのコミュニケーション処理からの一括オプトアウトの結果を含む配列。
Show child attributes
一括オプトアウト処理が始まった日時。
一括オプトアウト処理の現在のステータス(PENDING、PROCESSING、CANCELED、COMPLETEを取り得る)。
CANCELED, COMPLETE, PENDING, PROCESSING 一括オプトアウト処理中に発生した問題について詳述するエラーオブジェクトの配列。
Show child attributes
関連するリソースやドキュメントにリンクしているURLのコレクション。
Show child attributes
一括オプトアウト中に発生したエラー数の合計。
一括オプトアウトのリクエストが行われた日時。